import Route from '@ember/routing/route';

const PRODUKT_KATEGORIEN = [
    'Pasta',
    'Gemüse',
    'Milchprodukte',
    'Fleisch'
  ];

export default class IndexRoute extends Route {
  async model() {
    let response = await fetch('/api/produkte.json');
    let { data } = await response.json();

    return data.map(model => {
      let { attributes } = model;
      let kategorie;

      if (PRODUKT_KATEGORIEN.includes(attributes.kategorie)) {
        kategorie = attributes.kategorie;
      } 
      else
      {
        kategorie = 'Sonstiges';
      }

      return { kategorie, ...attributes };
    });
  }
}